program dislin_symbols;

uses
   dislin;

var
   nl, ny, i, nxp : int32;
   ctit, cstr	  : AnsiString;

begin
   ctit := 'Symbols';
   SetLength (cstr, 80);
   
   scrmod ('revers');
   setpag ('da4p');
   metafl ('cons');
   disini ();
   pagera ();
   complx ();

   height (60);
   nl := nlmess (ctit);
   nxp := (2100 - nl) div 2;
   messag (ctit, nxp, 200);

   height (50);
   hsymbl (120);

   ny := 150;

   for i := 0 to 23 do
   begin
      if (i mod 4) = 0 then
      begin 	 
	 ny  := ny + 400;
	 nxp := 550;
      end
      else
      begin	 
	 nxp := nxp + 350;
      end;

      nl := intcha (i, cstr);
      nl := nlmess (cstr) div 2;
      messag (cstr, nxp - nl, ny + 150);
      symbol (i, nxp, ny);
   end;
   disfin ();
end.
